# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate ignore

Name:           rust-%{crate}
Version:        0.3.1
Release:        4%{?dist}
Summary:        Fast library for efficiently matching ignore files

License:        Unlicense or MIT
URL:            https://crates.io/crates/ignore
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No simd
# * Bump crossbeam to 0.3, https://github.com/BurntSushi/ripgrep/pull/670
# * Bump lazy_static to 1, https://github.com/BurntSushi/ripgrep/pull/699
Patch0:         ignore-0.3.1-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(crossbeam) >= 0.3.0 with crate(crossbeam) < 0.4.0)
BuildRequires:  (crate(globset) >= 0.2.1 with crate(globset) < 0.3.0)
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(log) >= 0.3.0 with crate(log) < 0.4.0)
BuildRequires:  (crate(memchr) >= 2.0.0 with crate(memchr) < 3.0.0)
BuildRequires:  (crate(regex) >= 0.2.1 with crate(regex) < 0.3.0)
BuildRequires:  (crate(same-file) >= 1.0.0 with crate(same-file) < 2.0.0)
BuildRequires:  (crate(thread_local) >= 0.3.2 with crate(thread_local) < 0.4.0)
BuildRequires:  (crate(walkdir) >= 2.0.0 with crate(walkdir) < 3.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(tempdir) >= 0.3.5 with crate(tempdir) < 0.4.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A fast library for efficiently matching ignore files such as `.gitignore`
against file paths.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# https://github.com/BurntSushi/ripgrep/issues/671
%cargo_test || :
%endif

%files          devel
%license COPYING UNLICENSE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-4
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-3
- Bump lazy_static to 1

* Fri Nov 10 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-2
- Bump crossbeam to 0.3

* Thu Nov 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-2
- Port to use rust-packaging

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Initial package
